//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 6 lights, 96 textures and 81 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5a.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 04/19/1997    (19.04.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 2.2
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 20
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.020,0.020,0.100> }

fog {
  fog_type 2    // Ground Fog
  distance     200.0
  color <0.9,0.9,0.9,0.0,0.0>
  turbulence   <0.5,0.5,0.5>
    omega      0.5
    lambda     2.0
    octaves    2
    turb_depth 1.0
  up           <0,0,1>
  fog_offset   -20.0
  fog_alt      5.0
}

camera {  //  Camera StdCam
  location  <0.000, -22.798, 0.000>
  direction <0.0,     0.0,  2.0401>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.740, -0.026, -0.786>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <-5.013, 6.548, 1.939> // Attached to POVSphereSpotLt
  direction <0.0,     0.0,  0.6424>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <-4.641, 5.867, 0.350> // Following POVSphereSpotLt
}

*/

/*
camera {  //  Camera SpotCam002
  location  <7.415, 1.754, -0.614> // Attached to SpotL001
  direction <0.0,     0.0,  0.5289>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <7.415, 1.755, -1.614> // Following SpotL001
}

*/

/*
camera {  //  Camera SpotCam003
  location  <0.192, 0.047, 0.960> // Attached to SpotL002
  direction <0.0,     0.0,  0.4123>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.192, 0.048, -0.893> // Following SpotL002
}

*/

// *******  L I G H T S *******
light_source {   // Light3
  <4.890, 151.646, 7.405>
  color rgb <0.871, 0.871, 0.702>
  shadowless
}

light_source {   // Spotlight SpotL002
  <0.192, 0.048, 0.960>
  color  rgb <0.565, 0.537, 0.435>
  spotlight
    point_at  <0.192, 0.048, -0.893>
    falloff   50.5  // outer radius (in deg)
      radius    40.3  // inner radius
}

light_source {   // Spotlight SpotL001
  <7.415, 1.755, -0.614>
  color  rgb <-1.000, -1.000, -1.000>
  spotlight
    point_at  <7.415, 1.755, -1.614>
    falloff   43.4  // outer radius (in deg)
      radius    39.4  // inner radius
  atmosphere off
}

light_source {   // Spotlight POVSphereSpotLt
  <-5.013, 6.548, 1.939>
  color  rgb <0.435, 0.435, 0.435>
  spotlight
    point_at  <-4.641, 5.867, 0.350>
    falloff   37.9  // outer radius (in deg)
      radius    37.0  // inner radius
  fade_distance  20.0
  fade_power 20.0
  atmosphere off
}

light_source {   // Light001
  <3.574, 2.634, 21.509>
  color rgb <0.871, 0.871, 0.702>
  shadowless
  atmosphere off
}

light_source {   // Light2
  <-3.901, 4.488, -1.795>
  color rgb <0.813, 0.813, 0.813>
  shadowless
  fade_distance  0.1
  fade_power 0.1
  atmosphere off
}


// ********  TEXTURES  *******
//

#include "povlearn.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

#declare CSG001 = union {
  superellipsoid { // FrontCover
    <0.1, 0.1>
    scale <1.309083, 0.01, 1.3>
    rotate 3.0*z
    translate  <0.015657, -0.172227, 0.0>
  }
  superellipsoid { // BackCover1
    <0.1, 0.1>
    texture {
      PovDocCoverTe2
    }
    scale <1.309003, 0.01, 1.3>
    rotate -3.0*z
    translate  <0.015657, 0.172227, 0.0>
  }
}
#declare CSG002 = difference {
  object { CSG001 }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <1.166649, 1.939418, 2.082678>
    translate  <-2.27026, 0.391424, 0.0>
  }
}
#declare CSG003 = union {
  object { CSG002 }
  box { // Spine
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.223562, 1.289764>
    translate  <-1.095988, -0.000159, 0.0>
  }
}
#declare Cover = difference {
  object { CSG003 }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1
    scale <0.04, 0.04, 3.0>
    translate  <-1.130953, -0.246418, -1.490216>
  }
  cylinder { // Cylndr2
    <0,0,1>, <0,0,0>, 1
    scale <0.04, 0.04, 3.0>
    translate  <-1.12703, 0.250477, -1.490216>
  }
}
#declare LabelCutOut2 = difference {
  box { // Cube5
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <1.0, 0.01, 0.25>
  }
  cylinder { // Cylndr14
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr15
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, 0.25>
  }
  cylinder { // Cylndr16
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr17
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, 0.25>
  }
  texture {
    PovDocLablWhiteTex
  }
  no_shadow
  scale <1.065873, 0.8, 1.211053>
}
#declare LabelBorder2 = difference {
  box { // Cube6
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <1.0, 0.01, 0.25>
  }
  cylinder { // Cylndr18
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr19
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, 0.25>
  }
  cylinder { // Cylndr20
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr21
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, 0.25>
  }
  no_shadow
}
#declare LabelCutOut3 = difference {
  box { // Cube7
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <1.0, 0.01, 0.25>
  }
  cylinder { // Cylndr22
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr23
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, 0.25>
  }
  cylinder { // Cylndr24
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <-1.0, -0.05, -0.25>
  }
  cylinder { // Cylndr25
    <0,0,1>, <0,0,0>, 1
    scale <0.06, 0.06, 0.1>
    rotate -90.0*x
    translate  <1.0, -0.05, 0.25>
  }
  no_shadow
  scale <0.955, 2.046414, 0.8>
}
#declare LabelBorder3 = difference {
  object { LabelBorder2 }
  object { LabelCutOut3 }
  texture {
    POVRed
  }
  no_shadow
}
#include "C:\MORAY25\POVSCN\labelo.inc"

#declare LabelO1_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.106962, -0.01, -0.342199>
}
#include "C:\MORAY25\POVSCN\labels.inc"

#declare LabelS_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.08
  translate  <0.004799, -0.01, -0.867766>
}
#include "C:\MORAY25\POVSCN\labelc.inc"

#declare LabelC_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.005008, -0.01, -0.590078>
}
#include "C:\MORAY25\POVSCN\labeld.inc"

#declare LabelD_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.002952, -0.01, -0.096899>
}
#include "C:\MORAY25\POVSCN\labelp.inc"

#declare LabelP_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.094471, -0.01, 0.725616>
}
#include "C:\MORAY25\POVSCN\spineo.inc"

#declare SpineO_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.000177, -0.01, 0.492944>
}
#include "C:\MORAY25\POVSCN\labelv.inc"

#declare LabelV_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  no_shadow
  scale 0.07
  translate  <-0.094281, -0.01, 0.252072>
}
#declare SpineLetters = union {
  object { LabelO1_Ref }
  object { LabelS_Ref }
  object { LabelC_Ref }
  object { LabelD_Ref }
  object { LabelP_Ref }
  object { SpineO_Ref }
  object { LabelV_Ref }
  texture {
    PovDocLetterTex
  }
  no_shadow
  rotate 90.0*y
  translate  <-0.042755, 0.0, -0.004276>
}
#declare SpineLabel = union {
  object { LabelCutOut2 }
  object { LabelBorder3 }
  object { SpineLetters }
  no_shadow
  scale 0.578923
  rotate <-90.0, -90.0, 0.0>
  translate  <-1.127806, 0.0, 0.217223>
}
#declare CSG004 = union {
  cylinder { // Cylndr4
    <0,0,1>, <0,0,0>, 1
    scale <0.83685, 0.365052, 4.884305>
    rotate <-90.0, 3.0, 18.515179>
    translate  <3.093025, -3.204967, -4.884252>
  }
  torus { // Torus001
    1.975, 0.025  rotate -x*90
    texture {
      PovDocHingeTe1
    }
    scale <0.412843, 0.182526, 1.0>
    rotate <-90.0, 3.0, 18.515179>
    translate  <3.092734, -3.197649, -4.891555>
  }
  cylinder { // Cylndr5
    <0,0,1>, <0,0,0>, 1
    texture {
      Hinge_shadoTex
    }
    scale <-0.884467, 0.277179, -0.066662>
    rotate <-90.0, 3.0, 18.515179>
    translate  <3.376663, -2.994587, -4.960286>
  }
  scale 0.5
  rotate <90.0, 18.515179, -3.0>
  translate  <-2.293479, -2.389494, 0.72513>
}
#declare Hinge = difference {
  object { CSG004 }
  box { // Cube8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.327251, 1.0, 1.550062>
    translate  <-1.418452, 0.034948, 0.0>
  }
  cylinder { // Cylndr26
    <0,0,1>, <0,0,0>, 1
    scale <0.389923, 0.182526, 2.351485>
    translate  <-1.145278, 0.0, -1.208426>
  }
  texture {
    PovDocHingeTex
  }
}
union { // POVDOCS
  box { // Pages
    <-1, -1, -1>, <1, 1, 1>
    texture {
      PovDocPageTex4
    }
    scale <1.004951, 0.121453, 1.187852>
    translate  <0.06346, -0.002346, -0.048811>
  }
  object { Cover }
  sphere { // TopButton
    <0,0,0>,1
    texture {
      PovDocLetterTex
    }
    scale <0.010365, 0.03, 0.03>
    translate  <-1.111452, 0.007939, 1.011128>
  }
  sphere { // BottomButton
    <0,0,0>,1
    texture {
      PovDocLetterTex
    }
    scale <0.010365, 0.03, 0.03>
    translate  <-1.111452, 0.0, -1.003295>
  }
  object { SpineLabel }
  box { // HoldsPageTex
    <-1, -1, -1>, <1, 1, 1>
    texture {
      PovDocPageTx1
    }
    scale 0.01
  }
  object { Hinge }
  box { // PovDocTopPage
    <-1, -1, -1>, <1, 1, 1>
    texture {
      PovDocLetterT2
    }
    scale <0.992016, -0.014943, 1.14707>
    translate  <-0.081908, -0.116214, -0.087532>
  }
  texture {
    PovDocCoverTex
  }
  hollow
  scale 2.0
  rotate <-90.0, 3.0, 18.515179>
  translate  <4.566946, 0.0, -5.012502>
}




#declare CameraLens2 = union {
  sphere { // Sphere4
    <0,0,0>,1
    texture {
      CameraGlassTexture
    }
    scale <1.0, 0.15, 1.0>
    rotate 67.270477*z
    translate  <0.922339, -0.386381, 0.0>
  }
  cone { // Cone6
    <0,0,0>, 0.7, <0,0,1>, 1.0
    texture {
      CameraLensBlack
    }
    rotate <90.0, 0.0, 67.270477>
  }
  torus { // Torus14
    1.95, 0.05  rotate -x*90
    texture {
      CameraLensBlack
    }
    scale 0.51246
    rotate <-90.0, 0.0, 67.270477>
    translate  <0.877735, -0.400081, 0.0>
  }
  scale 0.6
  rotate -67.270477*z
  translate  <0.0, -0.702493, 0.0>
}
#declare CamraEyePiece2 = union {
  superellipsoid { // SuprQ5
    <0.1, 0.1>
    texture {
      CameraBoxTexture
    }
    scale <0.308781, 0.5, 0.282553>
    translate  <0.0, -0.459706, 1.137194>
  }
  superellipsoid { // SuprQ6
    <0.1, 0.1>
    texture {
      CameraGlassTexture
    }
    scale <0.216569, 0.510481, 0.190341>
    translate  <0.0, -0.459706, 1.137194>
  }
  rotate 0.0*y
}
#declare CSG5 = difference {
  cylinder { // Cylndr6
    <0,0,1>, <0,0,0>, 1
    texture {
      CameraLensBlack
    }
    scale 0.2
    rotate -90.0*x
  }
  cylinder { // Cylndr7
    <0,0,1>, <0,0,0>, 1
    texture {
      CameraLensBlack
    }
    scale 0.18
    rotate -90.0*x
  }
  translate  0.165312*x
}
#declare CameraButton = union {
  sphere { // Sphere3
    <0,0,0>,1
    texture {
      CameraLensBlack
    }
    scale <0.15, 0.03, 0.15>
    translate  -0.015593*y
  }
  object { CSG5 }
  rotate 0.0*y
  translate  <-1.231511, -0.997705, -0.52779>
}
union { // Camera1
  superellipsoid { // CameraBox2
    <0.1, 0.1>
    texture {
      CameraBoxTexture
    }
    scale <1.663696, 0.5, 0.939494>
    translate  -0.459706*y
  }
  object { CameraLens2 }
  object { CamraEyePiece2 }
  box { // Camera_ShCube1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      CameraLensBlack
    }
    scale <1.594972, 0.450244, 0.051717>
    rotate 0.0*z
    translate  <0.033359, -0.401664, -0.929227>
  }
  object { CameraButton }
  box { // Cube4
    <-1, -1, -1>, <1, 1, 1>
    texture {
      CameraLeverTex
    }
    scale <0.501052, 0.024849, 0.038341>
    rotate 30.119825*y
    translate  <-0.390031, -0.989807, 0.117169>
  }
  torus { // Torus15
    1.95, 0.05  rotate -x*90
    texture {
      CameraLeverTex
    }
    scale <0.294673, 0.295394, 1.840815>
    rotate <-90.0, 0.0, 0.0>
    translate  <0.001549, -0.943691, 0.001865>
  }
  rotate <0.0, 0.0, 80.0>
  translate  <-4.831866, 0.17165, -4.366342>
}


#declare FloorBzPatch = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.641921, -1.901754, -0.936842>, <-1.014035, -1.817544, 0.000000>, <-0.014035, -1.817544, 0.000000>, <1.240628, -0.466667, -0.936473>,
      <-2.024746, -0.817544, -0.032133>, <-0.766390, -1.281783, 0.491653>, <0.007018, -1.281783, 0.120647>, <0.836011, -0.817544, 0.460572>,
      <-2.024746, 0.182456, -0.032133>, <-1.182456, 0.182456, 0.294737>, <-0.471653, 0.182456, 1.055217>, <0.836011, 0.182456, 0.460572>,
      <-1.768236, 1.098246, -0.515789>, <-1.014035, 1.182456, 0.000000>, <-0.014035, 1.182456, 0.000000>, <0.813666, 0.035088, 1.560480>
    }
  }
  texture {
    POVRed1
  }
  scale 4.0
  rotate <0.0, -7.110758, -55.787323>
  translate  <24.415318, 111.218341, -18.081141>
}
union { // FloorStuff
  cone { // FloorCone
    <0,0,0>, 0.0, <0,0,1>, 1.0
    texture {
      POVRed1
    }
    scale 5.0
    rotate 180.0*x
    translate  <40.286885, 142.814805, -15.955724>
  }
  sphere { // FloorSphere
    <0,0,0>,1
    texture {
      POVRed1
    }
    scale 2.0
    translate  <11.657285, 125.567567, -19.680783>
  }
  box { // FloorCube
    <-1, -1, -1>, <1, 1, 1>
    texture {
      POVRed1
    }
    scale 2.5
    rotate <18.982775, 28.149467, -106.492912>
    translate  <17.996634, 176.053599, -18.467054>
  }
  torus { // FloorTous
    1.5, 0.5  rotate -x*90
    texture {
      POVRed1
    }
    scale 2.0
    rotate <-116.217361, -44.807747, -30.651676>
    translate  <22.354974, 140.653484, -18.812879>
  }
  cylinder { // FloorCyl
    <0,0,1>, <0,0,0>, 1
    texture {
      POVRed1
    }
    scale <2.0, 2.0, 14.699521>
    translate  <-0.125525, 164.880759, -22.611343>
  }
  object { FloorBzPatch }
  superellipsoid { // FloorSuppQ
    <1.0, 3.0>
    texture {
      POVRed1
    }
    scale 5.0
    rotate <0.0, -27.001104, 0.0>
    translate  <8.630478, 154.65672, -17.406588>
  }
  box { // FloorRectangle
    <-1, -1, -1>, <1, 1, 1>
    texture {
      POVRed1
    }
    scale <6.360741, 7.335421, 7.822761>
    translate  <31.224768, 164.089049, -14.132862>
  }
  no_shadow
}






#include "C:\MORAY25\POVSCN\cbrace.inc"

#declare ClosBrace_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  texture {
    POVRed
  }
  no_shadow
  scale <11.015008, 6.0, 6.0>
  rotate 23.612352*z
  translate  <2.470129, -30.256023, -4.511848>
}
#declare CSG005 = difference {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1
    scale <55.340225, 84.711464, 50.0>
    translate  <2.670113, 46.726973, -21.637798>
  }
  cylinder { // Cylndr3
    <0,0,1>, <0,0,0>, 1
    scale <55.340225, 84.711464, 53.748909>
    translate  <1.700106, 52.547016, -22.392168>
  }
  texture {
    backGrnd
  }
  scale <1.0, 1.0, 74.375763>
  translate  -1.940014*x
}
union { // BackGround
  box { // BGround
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <2029.356689, 1.754388, 158.53801>
    rotate 111.002838*z
    translate  <-69.592142, 70.69424, 26.843707>
  }
  box { // BGround1
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <2029.356689, 1.754388, 158.53801>
    rotate -109.135674*z
    translate  <22.413044, -59.860158, 26.843707>
  }
  box { // BGround2
    <-1, -1, -1>, <1, 1, 1>
    no_shadow
    scale <3728.794678, 1.754388, 1568.40686>
    translate  <0.627493, -42.202632, 26.843707>
  }
  box { // BackDrop
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Starfield1 //SkyTexture3
    }
    scale <549.122803, 9.804049, 50.576759>
    translate  <0.0, 199.0, 28.715052>
  }
  object { ClosBrace_Ref }
  object { CSG005 }
  texture {
    backGrnd
  }
}




disc { // FloorDisc
  <0,0,0>, <0,0,1>, 1.0
  texture {
    FloorTexture2
  }
  hollow
  scale <200.0, 800.0, 200.0>
  translate  <0.0, 100.0, -21.0>
}


#include "C:\MORAY25\POVSCN\v.inc"

#declare LetV_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  texture {
    POVRed
  }
  no_shadow
  rotate <180.0, 71.098335, 180.0>
  translate  <1.017281, -1.604344, -2.620701>
}
#include "C:\MORAY25\POVSCN\o.inc"

#declare LetO_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  texture {
    POVRed
  }
  no_shadow
  scale 0.7
  translate  <0.950634, -0.740351, 0.668334>
}
#include "C:\MORAY25\POVSCN\obrace.inc"

#declare OPenBrace_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  texture {
    POVRed
  }
  no_shadow
  scale 0.7
  rotate 0.0*y
  translate  <-3.313978, -0.780352, 0.779723>
}
#declare PovBxBackground = union {
  box { // PBoxFloor
    <-1, -1, -1>, <1, 1, 1>
    texture {
      PBoxFloorTex
    }
    scale <4.8, 4.8, 0.012>
    rotate 25.280209*z
    translate  <-4.735919, 5.912148, -5.822711>
  }
  box { // PBox1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Blue_Sky1
    }
    no_shadow
    scale <4.8, 4.8, 0.12>
    rotate <-90.0, 0.0, 25.280209>
    translate  <-6.850234, 10.252453, -1.036777>
  }
  scale <0.833333, 0.833333, 1.013632>
  rotate <0.0, 0.0, -25.280209>
  translate  <1.46467, -6.140329, 1.961822>
}
#include "C:\MORAY25\POVSCN\p.inc"

#declare LetP_Ref = object {
  _RAW_written_by_GLView_Version_1_0
  texture {
    POVRed
  }
  no_shadow
  scale 0.84
  rotate 25.280209*z
  translate  <-4.538197, 2.221175, 0.16453>
}
#declare CSG006 = union {
  object { LetP_Ref }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    texture {
      POVRed5
    }
    scale <0.015586, 0.299198, 0.920326>
    rotate <0.0, 0.0, -65.452896>
    translate  <-5.077901, 2.375182, 1.092172>
  }
  scale 0.833333
  rotate <0.0, 0.0, -25.280209>
  translate  <1.657753, -4.119837, 0.531225>
}
union { // POVBOX
  sphere { // POVboxSphere
    <0,0,0>,1
    texture {
      Polished_Chro1
    }
    scale 1.2
    translate  <-0.02769, 2.133654, -0.849192>
  }
  object { LetV_Ref }
  object { LetO_Ref }
  object { OPenBrace_Ref }
  object { PovBxBackground }
  object { CSG006 }
  hollow
  scale 1.2
  rotate 25.280209*z
  translate  <-3.590252, 3.620814, -0.63747>
}






box { // Desk
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Tom_Wood2
  }
  hollow
  scale <15.262831, 4.397863, -0.875357>
  translate  <0.130338, 4.142665, -6.254584>
}


